com.fasterxml.jackson.databind.deser.std

## Class JdkDeserializers

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.std.JdkDeserializers

    public class JdkDeserializers
    extends Object

Container class that contains serializers for JDK types that require special handling for some reason.

### Nested Class Summary

Nested Classes
`static class` `JdkDeserializers.AtomicBooleanDeserializer`
`static class` `JdkDeserializers.AtomicReferenceDeserializer`
`protected static class` `JdkDeserializers.CharsetDeserializer`
`static class` `JdkDeserializers.CurrencyDeserializer`
`static class` `JdkDeserializers.FileDeserializer`
`protected static class` `JdkDeserializers.InetAddressDeserializer` As per [JACKSON-484], also need special handling for InetAddress...
`protected static class` `JdkDeserializers.LocaleDeserializer` Kept protected as it's not meant to be extensible at this point
`static class` `JdkDeserializers.PatternDeserializer`
`static class` `JdkDeserializers.StackTraceElementDeserializer`
`static class` `JdkDeserializers.URIDeserializer`
`static class` `JdkDeserializers.URLDeserializer`
`static class` `JdkDeserializers.UUIDDeserializer`

### Constructor Summary

Constructors
Constructor and Description
`JdkDeserializers()`

### Method Summary

Methods
`static StdDeserializer<?>[]` `all()` Deprecated. Since 2.2 -- use `find(java.lang.Class<?>, java.lang.String)` instead.
`static JsonDeserializer<?>` `find(Class<?> rawType, String clsName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdkDeserializers

    public JdkDeserializers()

### Method Detail

#### all

    @Deprecated
    public static StdDeserializer<?>[] all()

Deprecated. Since 2.2 -- use `find(java.lang.Class<?>, java.lang.String)` instead.

#### find

    public static JsonDeserializer<?> find(Class<?> rawType,
                           String clsName)